Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network247.158.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
247.158.0.0
Broadcast address
247.159.255.255
First usable
247.158.0.1
Last usable
247.159.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F79E0000 · Integer 4154327040 to 4154458111
Reverse DNS zones
158.247.in-addr.arpa
159.247.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110111.10011110.00000000.00000000247.158.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network11110111.10011110.00000000.00000000247.158.0.0
Broadcast11110111.10011111.11111111.11111111247.159.255.255
Split into smaller subnets/22

247.158.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1247.158.0.0/22247.158.0.1 to 247.158.3.254247.158.3.2551,022
2247.158.4.0/22247.158.4.1 to 247.158.7.254247.158.7.2551,022
3247.158.8.0/22247.158.8.1 to 247.158.11.254247.158.11.2551,022
4247.158.12.0/22247.158.12.1 to 247.158.15.254247.158.15.2551,022
5247.158.16.0/22247.158.16.1 to 247.158.19.254247.158.19.2551,022
6247.158.20.0/22247.158.20.1 to 247.158.23.254247.158.23.2551,022
7247.158.24.0/22247.158.24.1 to 247.158.27.254247.158.27.2551,022
8247.158.28.0/22247.158.28.1 to 247.158.31.254247.158.31.2551,022
9247.158.32.0/22247.158.32.1 to 247.158.35.254247.158.35.2551,022
10247.158.36.0/22247.158.36.1 to 247.158.39.254247.158.39.2551,022
11247.158.40.0/22247.158.40.1 to 247.158.43.254247.158.43.2551,022
12247.158.44.0/22247.158.44.1 to 247.158.47.254247.158.47.2551,022
13247.158.48.0/22247.158.48.1 to 247.158.51.254247.158.51.2551,022
14247.158.52.0/22247.158.52.1 to 247.158.55.254247.158.55.2551,022
15247.158.56.0/22247.158.56.1 to 247.158.59.254247.158.59.2551,022
16247.158.60.0/22247.158.60.1 to 247.158.63.254247.158.63.2551,022
17247.158.64.0/22247.158.64.1 to 247.158.67.254247.158.67.2551,022
18247.158.68.0/22247.158.68.1 to 247.158.71.254247.158.71.2551,022
19247.158.72.0/22247.158.72.1 to 247.158.75.254247.158.75.2551,022
20247.158.76.0/22247.158.76.1 to 247.158.79.254247.158.79.2551,022
21247.158.80.0/22247.158.80.1 to 247.158.83.254247.158.83.2551,022
22247.158.84.0/22247.158.84.1 to 247.158.87.254247.158.87.2551,022
23247.158.88.0/22247.158.88.1 to 247.158.91.254247.158.91.2551,022
24247.158.92.0/22247.158.92.1 to 247.158.95.254247.158.95.2551,022
25247.158.96.0/22247.158.96.1 to 247.158.99.254247.158.99.2551,022
26247.158.100.0/22247.158.100.1 to 247.158.103.254247.158.103.2551,022
27247.158.104.0/22247.158.104.1 to 247.158.107.254247.158.107.2551,022
28247.158.108.0/22247.158.108.1 to 247.158.111.254247.158.111.2551,022
29247.158.112.0/22247.158.112.1 to 247.158.115.254247.158.115.2551,022
30247.158.116.0/22247.158.116.1 to 247.158.119.254247.158.119.2551,022
31247.158.120.0/22247.158.120.1 to 247.158.123.254247.158.123.2551,022
32247.158.124.0/22247.158.124.1 to 247.158.127.254247.158.127.2551,022
33247.158.128.0/22247.158.128.1 to 247.158.131.254247.158.131.2551,022
34247.158.132.0/22247.158.132.1 to 247.158.135.254247.158.135.2551,022
35247.158.136.0/22247.158.136.1 to 247.158.139.254247.158.139.2551,022
36247.158.140.0/22247.158.140.1 to 247.158.143.254247.158.143.2551,022
37247.158.144.0/22247.158.144.1 to 247.158.147.254247.158.147.2551,022
38247.158.148.0/22247.158.148.1 to 247.158.151.254247.158.151.2551,022
39247.158.152.0/22247.158.152.1 to 247.158.155.254247.158.155.2551,022
40247.158.156.0/22247.158.156.1 to 247.158.159.254247.158.159.2551,022
41247.158.160.0/22247.158.160.1 to 247.158.163.254247.158.163.2551,022
42247.158.164.0/22247.158.164.1 to 247.158.167.254247.158.167.2551,022
43247.158.168.0/22247.158.168.1 to 247.158.171.254247.158.171.2551,022
44247.158.172.0/22247.158.172.1 to 247.158.175.254247.158.175.2551,022
45247.158.176.0/22247.158.176.1 to 247.158.179.254247.158.179.2551,022
46247.158.180.0/22247.158.180.1 to 247.158.183.254247.158.183.2551,022
47247.158.184.0/22247.158.184.1 to 247.158.187.254247.158.187.2551,022
48247.158.188.0/22247.158.188.1 to 247.158.191.254247.158.191.2551,022
49247.158.192.0/22247.158.192.1 to 247.158.195.254247.158.195.2551,022
50247.158.196.0/22247.158.196.1 to 247.158.199.254247.158.199.2551,022
51247.158.200.0/22247.158.200.1 to 247.158.203.254247.158.203.2551,022
52247.158.204.0/22247.158.204.1 to 247.158.207.254247.158.207.2551,022
53247.158.208.0/22247.158.208.1 to 247.158.211.254247.158.211.2551,022
54247.158.212.0/22247.158.212.1 to 247.158.215.254247.158.215.2551,022
55247.158.216.0/22247.158.216.1 to 247.158.219.254247.158.219.2551,022
56247.158.220.0/22247.158.220.1 to 247.158.223.254247.158.223.2551,022
57247.158.224.0/22247.158.224.1 to 247.158.227.254247.158.227.2551,022
58247.158.228.0/22247.158.228.1 to 247.158.231.254247.158.231.2551,022
59247.158.232.0/22247.158.232.1 to 247.158.235.254247.158.235.2551,022
60247.158.236.0/22247.158.236.1 to 247.158.239.254247.158.239.2551,022
61247.158.240.0/22247.158.240.1 to 247.158.243.254247.158.243.2551,022
62247.158.244.0/22247.158.244.1 to 247.158.247.254247.158.247.2551,022
63247.158.248.0/22247.158.248.1 to 247.158.251.254247.158.251.2551,022
64247.158.252.0/22247.158.252.1 to 247.158.255.254247.158.255.2551,022
65247.159.0.0/22247.159.0.1 to 247.159.3.254247.159.3.2551,022
66247.159.4.0/22247.159.4.1 to 247.159.7.254247.159.7.2551,022
67247.159.8.0/22247.159.8.1 to 247.159.11.254247.159.11.2551,022
68247.159.12.0/22247.159.12.1 to 247.159.15.254247.159.15.2551,022
69247.159.16.0/22247.159.16.1 to 247.159.19.254247.159.19.2551,022
70247.159.20.0/22247.159.20.1 to 247.159.23.254247.159.23.2551,022
71247.159.24.0/22247.159.24.1 to 247.159.27.254247.159.27.2551,022
72247.159.28.0/22247.159.28.1 to 247.159.31.254247.159.31.2551,022
73247.159.32.0/22247.159.32.1 to 247.159.35.254247.159.35.2551,022
74247.159.36.0/22247.159.36.1 to 247.159.39.254247.159.39.2551,022
75247.159.40.0/22247.159.40.1 to 247.159.43.254247.159.43.2551,022
76247.159.44.0/22247.159.44.1 to 247.159.47.254247.159.47.2551,022
77247.159.48.0/22247.159.48.1 to 247.159.51.254247.159.51.2551,022
78247.159.52.0/22247.159.52.1 to 247.159.55.254247.159.55.2551,022
79247.159.56.0/22247.159.56.1 to 247.159.59.254247.159.59.2551,022
80247.159.60.0/22247.159.60.1 to 247.159.63.254247.159.63.2551,022
81247.159.64.0/22247.159.64.1 to 247.159.67.254247.159.67.2551,022
82247.159.68.0/22247.159.68.1 to 247.159.71.254247.159.71.2551,022
83247.159.72.0/22247.159.72.1 to 247.159.75.254247.159.75.2551,022
84247.159.76.0/22247.159.76.1 to 247.159.79.254247.159.79.2551,022
85247.159.80.0/22247.159.80.1 to 247.159.83.254247.159.83.2551,022
86247.159.84.0/22247.159.84.1 to 247.159.87.254247.159.87.2551,022
87247.159.88.0/22247.159.88.1 to 247.159.91.254247.159.91.2551,022
88247.159.92.0/22247.159.92.1 to 247.159.95.254247.159.95.2551,022
89247.159.96.0/22247.159.96.1 to 247.159.99.254247.159.99.2551,022
90247.159.100.0/22247.159.100.1 to 247.159.103.254247.159.103.2551,022
91247.159.104.0/22247.159.104.1 to 247.159.107.254247.159.107.2551,022
92247.159.108.0/22247.159.108.1 to 247.159.111.254247.159.111.2551,022
93247.159.112.0/22247.159.112.1 to 247.159.115.254247.159.115.2551,022
94247.159.116.0/22247.159.116.1 to 247.159.119.254247.159.119.2551,022
95247.159.120.0/22247.159.120.1 to 247.159.123.254247.159.123.2551,022
96247.159.124.0/22247.159.124.1 to 247.159.127.254247.159.127.2551,022
97247.159.128.0/22247.159.128.1 to 247.159.131.254247.159.131.2551,022
98247.159.132.0/22247.159.132.1 to 247.159.135.254247.159.135.2551,022
99247.159.136.0/22247.159.136.1 to 247.159.139.254247.159.139.2551,022
100247.159.140.0/22247.159.140.1 to 247.159.143.254247.159.143.2551,022
101247.159.144.0/22247.159.144.1 to 247.159.147.254247.159.147.2551,022
102247.159.148.0/22247.159.148.1 to 247.159.151.254247.159.151.2551,022
103247.159.152.0/22247.159.152.1 to 247.159.155.254247.159.155.2551,022
104247.159.156.0/22247.159.156.1 to 247.159.159.254247.159.159.2551,022
105247.159.160.0/22247.159.160.1 to 247.159.163.254247.159.163.2551,022
106247.159.164.0/22247.159.164.1 to 247.159.167.254247.159.167.2551,022
107247.159.168.0/22247.159.168.1 to 247.159.171.254247.159.171.2551,022
108247.159.172.0/22247.159.172.1 to 247.159.175.254247.159.175.2551,022
109247.159.176.0/22247.159.176.1 to 247.159.179.254247.159.179.2551,022
110247.159.180.0/22247.159.180.1 to 247.159.183.254247.159.183.2551,022
111247.159.184.0/22247.159.184.1 to 247.159.187.254247.159.187.2551,022
112247.159.188.0/22247.159.188.1 to 247.159.191.254247.159.191.2551,022
113247.159.192.0/22247.159.192.1 to 247.159.195.254247.159.195.2551,022
114247.159.196.0/22247.159.196.1 to 247.159.199.254247.159.199.2551,022
115247.159.200.0/22247.159.200.1 to 247.159.203.254247.159.203.2551,022
116247.159.204.0/22247.159.204.1 to 247.159.207.254247.159.207.2551,022
117247.159.208.0/22247.159.208.1 to 247.159.211.254247.159.211.2551,022
118247.159.212.0/22247.159.212.1 to 247.159.215.254247.159.215.2551,022
119247.159.216.0/22247.159.216.1 to 247.159.219.254247.159.219.2551,022
120247.159.220.0/22247.159.220.1 to 247.159.223.254247.159.223.2551,022
121247.159.224.0/22247.159.224.1 to 247.159.227.254247.159.227.2551,022
122247.159.228.0/22247.159.228.1 to 247.159.231.254247.159.231.2551,022
123247.159.232.0/22247.159.232.1 to 247.159.235.254247.159.235.2551,022
124247.159.236.0/22247.159.236.1 to 247.159.239.254247.159.239.2551,022
125247.159.240.0/22247.159.240.1 to 247.159.243.254247.159.243.2551,022
126247.159.244.0/22247.159.244.1 to 247.159.247.254247.159.247.2551,022
127247.159.248.0/22247.159.248.1 to 247.159.251.254247.159.251.2551,022
128247.159.252.0/22247.159.252.1 to 247.159.255.254247.159.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses